<template>
  <u-modal
    :title="title"
    :visible.sync="visible"
    contentFull
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <TpmTagFormPL1 ref="realForm" @ok="submitCallback"></TpmTagFormPL1>
  </u-modal>
</template>

<script>
import UModal from '../../../../components/module_ems/UModal/UModal.vue';
  import TpmTagFormPL1 from './TpmTagFormPL1'
  export default {
    name: 'TpmTagModalPL',
    components: {
      TpmTagFormPL1,
        UModal
    },
    data () {
      return {
        title:'',
        visible: false,
        disableSubmit: false
      }
    },
    methods: {
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.realForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>